Bug 497420 - ipc connect/disconnect in cpg service causes cpg to segfault
ipc connect/disconnect in cpg service causes cpg to segfault
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Steven Dake
Cluster QE
: ZStream
Depends On:
Blocks: 500918
  Show dependency treegraph
 
Reported: 2009-04-23 16:18 EDT by Steven Dake
Modified: 2016-04-26 11:46 EDT (History)
5 users (show)

See Also:
Fixed In Version: openais-0.80.6-1.el5_4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:29:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1366 normal SHIPPED_LIVE openais bug-fix and enhancement update 2009-09-01 07:00:17 EDT

  None (edit)
Description Steven Dake 2009-04-23 16:18:20 EDT
Description of problem:
this bug was undiscovered by our testing, but Novell found the issue.  This is not a regression, but instead a design error in the cpg service.

Version-Release number of selected component (if applicable):
openais-0.80.3-22.5_3.4

How reproducible:
very rare

Steps to Reproduce:
1.start and stop daemons while starting and stopping ipc connections
2.1 out of 100 or less often cpg will segfault aisexec
3.
  
Actual results:
segfault

Expected results:
no segfault

Additional info:
patch available which resolves problem in integration testing at Novell with our full stack minus gfs2.
Comment 6 errata-xmlrpc 2009-09-02 07:29:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1366.html

Note You need to log in before you can comment on or make changes to this bug.